#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("SLNT.INP");
	long long n;
	fi>>n;
	fi.close();
	ofstream fo("SLNT.OUT");
	long long dem=0;
	if(n<=2)
    {
        fo<<0;
    }
    else if(n>2)
    {
        for(long long i=2;i<n;i++)
        {
            int ktra=1;
            for(long long j=2;j*j<=i;j++)
            {
                if(i%j==0){ktra=0;break;}
            }
            if(ktra==1){dem++;}
        }
        fo<<dem;
    }
}
